Bug 1269200 - ipa-server crashing while trying to preserve admin user
ipa-server crashing while trying to preserve admin user
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Varun Mylaraiah
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 11:36 EDT by Varun Mylaraiah
Modified: 2016-11-04 01:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-4.4.0-0.el7.1.alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 01:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
internal server error (104.38 KB, image/png)
2015-10-06 11:37 EDT, Varun Mylaraiah
no flags Details
Delete Admin (104.12 KB, image/png)
2015-10-06 11:38 EDT, Varun Mylaraiah
no flags Details
message dailog (95.78 KB, image/png)
2015-10-06 11:39 EDT, Varun Mylaraiah
no flags Details
Verification snapshot (37.76 KB, image/png)
2016-09-13 06:29 EDT, Varun Mylaraiah
no flags Details

  None (edit)
Description Varun Mylaraiah 2015-10-06 11:36:43 EDT
Description of problem:
ipa-server crashing while trying to preserve admin user in WebUI

Version-Release number of selected component (if applicable):
ipa-server-4.2.0-12.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate "Active users" page.
2.Select admin
3.Click delete button
4.Select preserve radio button
5.Click delete button

Actual results:
Internal server error pops up after clicking OK button in "operation Error" dialog 

Expected results:
-Detailed message should be relevant to the error in "operation Error" dialog.
-"Internal server error" should not occur.
-If possible can "preserve" option for admin user be removed/hidden??


Additional info:
Attached screenshots

/var/log/httpd/error_log
[Tue Oct 06 17:57:34.507251 2015] [:error] [pid 22443] ipa: INFO: [jsonserver_session] admin@DTESTRELM.TEST: user_find(u'', sizelimit=0, version=u'2.156', pkey_only=True): SUCCESS
[Tue Oct 06 17:57:34.632858 2015] [:error] [pid 22443] [remote 10.70.35.158:120] mod_wsgi (pid=22443): Exception occurred processing WSGI script '/usr/share/ipa/wsgi.py'.
[Tue Oct 06 17:57:34.632943 2015] [:error] [pid 22443] [remote 10.70.35.158:120] Traceback (most recent call last):
[Tue Oct 06 17:57:34.632983 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/share/ipa/wsgi.py", line 49, in application
[Tue Oct 06 17:57:34.633097 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return api.Backend.wsgi_dispatch(environ, start_response)
[Tue Oct 06 17:57:34.633112 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 258, in __call__
[Tue Oct 06 17:57:34.633447 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return self.route(environ, start_response)
[Tue Oct 06 17:57:34.633460 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 270, in route
[Tue Oct 06 17:57:34.633480 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return app(environ, start_response)
[Tue Oct 06 17:57:34.633490 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 808, in __call__
[Tue Oct 06 17:57:34.633504 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.create_context(ccache=ipa_ccache_name)
[Tue Oct 06 17:57:34.633513 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 114, in create_context
[Tue Oct 06 17:57:34.633611 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.Backend.ldap2.connect(ccache=ccache)
[Tue Oct 06 17:57:34.633642 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 63, in connect
[Tue Oct 06 17:57:34.633665 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     conn = self.create_connection(*args, **kw)
[Tue Oct 06 17:57:34.633688 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 149, in create_connection
[Tue Oct 06 17:57:34.633835 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     client_controls=clientctrls)
[Tue Oct 06 17:57:34.633862 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipapython/ipaldap.py", line 1070, in gssapi_bind
[Tue Oct 06 17:57:34.634147 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     '', auth_tokens, server_controls, client_controls)
[Tue Oct 06 17:57:34.634191 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib64/python2.7/contextlib.py", line 35, in __exit__
[Tue Oct 06 17:57:34.634268 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.gen.throw(type, value, traceback)
[Tue Oct 06 17:57:34.634294 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipapython/ipaldap.py", line 983, in error_handler
[Tue Oct 06 17:57:34.634316 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     raise errors.DatabaseError(desc=desc, info=info)
[Tue Oct 06 17:57:34.634352 2015] [:error] [pid 22443] [remote 10.70.35.158:120] DatabaseError: Server is unwilling to perform: Account inactivated. Contact system administrator.
[Tue Oct 06 17:57:35.223891 2015] [:error] [pid 22444] ipa: INFO: admin@DTESTRELM.TEST: batch: user_del((u'admin',), preserve=u'true'): EmptyResult
[Tue Oct 06 17:57:35.224379 2015] [:error] [pid 22444] ipa: INFO: [jsonserver_session] admin@DTESTRELM.TEST: batch(({u'params': ((u'admin',), {u'preserve': u'true'}), u'method': u'user_del'},), version=u'2.156'): SUCCESS
[Tue Oct 06 17:58:24.446789 2015] [:error] [pid 22443] [remote 10.70.35.158:120] mod_wsgi (pid=22443): Exception occurred processing WSGI script '/usr/share/ipa/wsgi.py'.
[Tue Oct 06 17:58:24.446836 2015] [:error] [pid 22443] [remote 10.70.35.158:120] Traceback (most recent call last):
[Tue Oct 06 17:58:24.446854 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/share/ipa/wsgi.py", line 49, in application
[Tue Oct 06 17:58:24.446897 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return api.Backend.wsgi_dispatch(environ, start_response)
[Tue Oct 06 17:58:24.446907 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 258, in __call__
[Tue Oct 06 17:58:24.446924 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return self.route(environ, start_response)
[Tue Oct 06 17:58:24.446932 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 270, in route
[Tue Oct 06 17:58:24.446944 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     return app(environ, start_response)
[Tue Oct 06 17:58:24.446952 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/rpcserver.py", line 808, in __call__
[Tue Oct 06 17:58:24.446964 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.create_context(ccache=ipa_ccache_name)
[Tue Oct 06 17:58:24.446972 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 114, in create_context
[Tue Oct 06 17:58:24.446986 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.Backend.ldap2.connect(ccache=ccache)
[Tue Oct 06 17:58:24.446994 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipalib/backend.py", line 63, in connect
[Tue Oct 06 17:58:24.447007 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     conn = self.create_connection(*args, **kw)
[Tue Oct 06 17:58:24.447014 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipaserver/plugins/ldap2.py", line 149, in create_connection
[Tue Oct 06 17:58:24.447028 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     client_controls=clientctrls)
[Tue Oct 06 17:58:24.447036 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipapython/ipaldap.py", line 1070, in gssapi_bind
[Tue Oct 06 17:58:24.447049 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     '', auth_tokens, server_controls, client_controls)
[Tue Oct 06 17:58:24.447057 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib64/python2.7/contextlib.py", line 35, in __exit__
[Tue Oct 06 17:58:24.447070 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     self.gen.throw(type, value, traceback)
[Tue Oct 06 17:58:24.447089 2015] [:error] [pid 22443] [remote 10.70.35.158:120]   File "/usr/lib/python2.7/site-packages/ipapython/ipaldap.py", line 983, in error_handler
[Tue Oct 06 17:58:24.447102 2015] [:error] [pid 22443] [remote 10.70.35.158:120]     raise errors.DatabaseError(desc=desc, info=info)
[Tue Oct 06 17:58:24.447117 2015] [:error] [pid 22443] [remote 10.70.35.158:120] DatabaseError: Server is unwilling to perform: Account inactivated. Contact system administrator.
(END) - Next: for
Comment 1 Varun Mylaraiah 2015-10-06 11:37 EDT
Created attachment 1080292 [details]
internal server error
Comment 2 Varun Mylaraiah 2015-10-06 11:38 EDT
Created attachment 1080293 [details]
Delete Admin
Comment 3 Varun Mylaraiah 2015-10-06 11:39 EDT
Created attachment 1080294 [details]
message dailog
Comment 5 Petr Vobornik 2015-10-13 04:46:18 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5362
Comment 7 Mike McCune 2016-03-28 18:43:24 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 9 Varun Mylaraiah 2016-09-13 06:29 EDT
Created attachment 1200457 [details]
Verification snapshot

Verified 
On WebUI
ipa server version: 
ipa-server-4.4.0-10.el7.x86_64
Comment 11 errata-xmlrpc 2016-11-04 01:38:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html

Note You need to log in before you can comment on or make changes to this bug.